<?php
include("../conexion/conexion.php");

//img
if(isset($_FILES["imagen"])){
   $codigo= $_POST["codigo"];
   $file_size=$_FILES["imagen"]["size"];
   if (is_dir("../../public/img/".$_SESSION["codigoEmpresa"])){
    //continua con tus operaciones
    }
    else {
        mkdir("../../public/img/".$_SESSION["codigoEmpresa"], 0700);
    }


    

if($file_size>=512000){
     echo "Reduzca el tamaño de la imagen";
  
}else{

      if (move_uploaded_file($_FILES["imagen"]["tmp_name"], "../../public/img/".$_SESSION["codigoEmpresa"]."/".$codigo.".jpg")) {
       
         
        echo "Imagen Guardada Con Exito";
    } else {
        echo "Error al Guardar Imagen";
    }

}

}
//fin img




if(isset($_POST["producto"])){
    $codigo=$_POST["producto"];
    $codigoProdutPadre=$_POST["codigoProdutPadre"];
   $Nombre=$_POST["nombre"];
   $cantidacaja=trim($_POST["caja"]);
   $cantidafrcc=trim($_POST["frcc"]);
    $bodega=$_POST["bodega"];

$terminado1=new terminal1();
$terminado1->guardarterminados($codigoProdutPadre,$codigo,$Nombre,$cantidacaja, $cantidafrcc,$bodega);



}


if(isset($_POST["id"])){
    $codigo=$_POST["id"];    
     $bodega=$_POST["bodega"];
 
 $terminado1=new terminal1();
 $terminado1->terminados1($codigo,$bodega);

}
if(isset($_POST["codeProlis"])){
    $codeProlis=$_POST["codeProlis"];
    $bodega=$_POST["bodega"];
    $preciosTodosP=$_POST["preciosTodosP"];
    $lista=$_POST["lista"];


$terminado1=new terminal1();
 $terminado1->quitarPrecios($codeProlis,$bodega,$preciosTodosP,$lista);
 
}

if(isset($_POST["codePrelisAgregar"])){
    $codeProlis=$_POST["codePrelisAgregar"];
    $bodega=$_POST["bodega"];
    $preciosTodosP=$_POST["preciosTodosP"];
    $lista=$_POST["lista"];
    $precioCaja=$_POST["precioCaja"];
$precioFrcc=$_POST["precioFrcc"];
$precioBlister=$_POST["precioBlister"];
$utilidaCa=$_POST["utilidaCa"];
$utilidaFrc=$_POST["utilidaFrc"];

 

  $terminado1=new terminal1();
 $terminado1->agregarListaPRecio($codeProlis,$bodega,$preciosTodosP,$lista,$precioCaja,$precioFrcc,$precioBlister,$utilidaCa,$utilidaFrc);
 
}


if(isset($_POST["quitar"])){
    $codigo=$_POST["productoq"];
    $codigoProdutPadre=$_POST["codigoProdutPadreee"];  
    $bodega=$_POST["bodega"];

$terminado1=new terminal1();
$terminado1->quitarregistro($codigoProdutPadre,$codigo,$bodega);



}




if(isset($_POST["codeProd"])){
    $codigo=$_POST["codeProd"];
    $bodega=$_POST["bodega"];

    $terminado1=new terminal1();
    $terminado1->vervencimientos($codigo,$bodega);
}




class terminal1{

    function __construct()
    {
        $conex=new conexion();
        $this->conen=$conex->conectar();
    }

public function quitarPrecios($codeProlis,$bodega,$preciosTodosP,$lista){

if($preciosTodosP=="no"){
    $validar=$this->conen->query(" DELETE FROM `listaprecio` WHERE  codeProduL='$codeProlis'  and CodeLista='$lista'  and BodegaL=$bodega"); 
}else{
    $validar=$this->conen->query(" DELETE FROM `listaprecio` WHERE  codeProduL='$codeProlis'  and CodeLista='$lista' "); 

}
    
    
  if($validar){
    echo("ok");
  } 

}

public function agregarListaPRecio($codeProlis,$bodega,$preciosTodosP,$lista,$precioCaja,$precioFrcc,$precioBlister,$utilidaCa,$utilidaFrc){



if($preciosTodosP=="no"){

    $ejecutarr=$this->conen->prepare("INSERT INTO  `listaprecio`(`codeProduL`,`precioCajaL`, `precioFrccL`, `PrecioBlistL`, `BodegaL`,`CodeLista`,`UtilicajaL`,`UtiliFrccL`)
    VALUES (?,?,?,?,?,?,?,?)");
    $ejecutarr->bind_param("ssssssss",$codeProlis,$precioCaja,$precioFrcc,$precioBlister,$bodega,$lista,$utilidaCa,$utilidaFrc);
    $ejecutarr->execute();

    if($ejecutarr){
        echo("ok");
    }
}else{

    $bodegas = "SELECT * FROM bodegas";
    $resulBod = $this->conen->query($bodegas);
    $resulBodegas = $resulBod->fetch_all(MYSQLI_ASSOC);
    
    foreach ($resulBodegas as $value) {
        $bodegaa=$value["id"];
    
    
        $ejecutarr=$this->conen->prepare("INSERT INTO  `listaprecio`(`codeProduL`,`precioCajaL`, `precioFrccL`, `PrecioBlistL`, `BodegaL`,`CodeLista`,`UtilicajaL`,`UtiliFrccL`)
        VALUES (?,?,?,?,?,?,?,?)");
        $ejecutarr->bind_param("ssssssss",$codeProlis,$precioCaja,$precioFrcc,$precioBlister,$bodegaa,$lista,$utilidaCa,$utilidaFrc);
        $ejecutarr->execute();
    
    }
    
    if($ejecutarr){
        echo("ok");
    }
    
                              

}



}



    public function guardarterminados($codigoProdutPadre,$id,$nombre,$caja,$frcc,$bodega){

        if(!is_numeric($frcc)){
            $frcc=0;
        }
        if(!is_numeric($caja)){
            $caja=0;
        }


        $validar=$this->conen->query(" SELECT * FROM `terminado1` WHERE codigot='$id' and codigoProdutPadre='$codigoProdutPadre'"); 
    
        if($validarr=mysqli_fetch_object($validar)){
           
            echo("no");

        }else{



                        $ejecutarr=$this->conen->prepare("INSERT INTO  `terminado1`(`codigoProdutPadre`,`codigot`, `nombret`, `cajat`, `frcct`,`bodega`)
                        VALUES (?,?,?,?,?,?)");
                    $ejecutarr->bind_param("ssssss",$codigoProdutPadre,$id,$nombre,$caja,$frcc,$bodega);
                    $ejecutarr->execute();

                    if($ejecutarr){
                        echo("ok");
                    }
                        // if(  $fila=mysqli_fetch_object($resultado)){        
                        //     $GLOBALS["verificrcodi"]=1;
                        // }    
        }

}

public function terminados1($codigo,$bodega){

    $validar=$this->conen->query(" SELECT * FROM `terminado1` WHERE codigoProdutPadre='$codigo' "); 
    $fila=$validar->fetch_all(MYSQLI_ASSOC);

    if($fila){
        
    }else{
        $fila=[];
    }
    // echo utf8_encode((json_encode($fila))); 

    $validar1=$this->conen->query(" SELECT * FROM `listaprecio` WHERE codeProduL='$codigo' and BodegaL=$bodega  "); 
    $fila1=$validar1->fetch_all(MYSQLI_ASSOC);
    if($fila1){
        
    }else{
        $fila1=[];
    }

    echo utf8_encode((json_encode(["termina"=>$fila,"listap"=>$fila1]))); 
}

public function quitarregistro($codigoProdutPadre,$codigo,$bodega){

    $validar=$this->conen->query(" DELETE  FROM `terminado1` WHERE codigot='$codigo' and codigoProdutPadre='$codigoProdutPadre' "); 

if($validar){
    echo("ok");
}else{
    echo("no");
}
}

public function vervencimientos($id,$bodega){

    $validar=$this->conen->query(" SELECT * FROM `vencimientos` WHERE codigo_pr='$id' and bodegav=$bodega and fechaVencimiento>'2020-01-01 00:00:00' ORDER BY fechaVencimiento ASC "); 
    $fila=$validar->fetch_all(MYSQLI_ASSOC);
    
    if($fila){
        
    }else{
        $fila=[];
    }
    
    $validar1=$this->conen->query(" SELECT * FROM `listaprecio` WHERE codeProduL='$id' and BodegaL=$bodega  "); 
    $fila1=$validar1->fetch_all(MYSQLI_ASSOC);
    if($fila1){
        
    }else{
        $fila1=[];
    }

    echo utf8_encode((json_encode(["vencim"=>$fila,"listap"=>$fila1]))); 
}

}

?>